package com.pstreets.guice.demo;


import com.google.inject.Inject;
import com.google.inject.name.Named;
import com.mapdigit.drawing.Color;
import com.mapdigit.drawing.Pen;
import com.mapdigit.drawing.SolidBrush;
import com.mapdigit.drawing.geometry.IShape;


public class ProvidesMethodsDemo extends Graphics2DActivity{
	
	
	

	@Inject @Named("Circle1") IShape circle1;
	@Inject @Named("Circle2") IShape circle2;
	@Inject @Named("Circle3") IShape circle3;
	
	protected void drawImage(){
		

		/* Colors */
	    /**
	     * The solid (full opaque) red color in the ARGB space
	     */
	    Color redColor    = new Color(0xffff0000);

	    /**
	     * The semi-opaque green color in the ARGB space (alpha is 0x78)
	     */
	    Color greenColor = new Color(0x7800ff00,true);

	    /**
	     * The semi-opaque blue color in the ARGB space (alpha is 0x78)
	     */
	    Color blueColor = new Color(0x780000ff,true);
	    /**
	     * The semi-opaque yellow color in the ARGB space ( alpha is 0x78)
	     */
	    Color yellowColor = new Color(0x78ffff00,true);

	    /**
	     * The dash array
	     */
	    int dashArray[] = { 20 ,8 };
	    graphics2D.clear(Color.WHITE);
	    graphics2D.Reset();
       SolidBrush brush=new SolidBrush(redColor);
       graphics2D.fill(brush,circle1);
       brush=new SolidBrush(greenColor);
       graphics2D.fill(brush,circle2);
       Pen pen=new Pen(yellowColor,10,Pen.CAP_BUTT,Pen.JOIN_MITER,dashArray,0);
       brush=new SolidBrush(blueColor);
       graphics2D.setPenAndBrush(pen,brush);
       graphics2D.fill(null,circle3);
       graphics2D.draw(null,circle3);
        

	    
	}

}
