package com.pstreets.guice.demo;


import com.google.inject.Inject;
import com.mapdigit.drawing.Color;
import com.mapdigit.drawing.Pen;
import com.mapdigit.drawing.SolidBrush;
import com.mapdigit.drawing.geometry.IShape;


public class LinkedBindingsDemo extends Graphics2DActivity{
	
	@Inject IShape  shape;
	
	protected void drawImage(){
		

	    /**
	     * The semi-opaque blue color in 
	     * the ARGB space (alpha is 0x78)
	     */
	    Color blueColor = new Color(0x780000ff,true);
	    /**
	     * The semi-opaque yellow color in the 
	     * ARGB space ( alpha is 0x78)
	     */
	    Color yellowColor = new Color(0x78ffff00,true);

	    /**
	     * The dash array
	     */
	    int dashArray[] = { 20 ,8 };
	    graphics2D.clear(Color.WHITE);
	    graphics2D.Reset();
        Pen pen=new Pen(yellowColor,10,Pen.CAP_BUTT,
        		Pen.JOIN_MITER,dashArray,0);
        SolidBrush brush=new SolidBrush(blueColor);
        graphics2D.setPenAndBrush(pen,brush);
        graphics2D.fill(null,shape);
        graphics2D.draw(null,shape);
	    
	}

}
