package com.pstreets.guice.demo;


import com.google.inject.Inject;
import com.mapdigit.drawing.Color;
import com.mapdigit.drawing.SolidBrush;
import com.mapdigit.drawing.geometry.AffineTransform;
import com.mapdigit.drawing.geometry.Path;


public class ProviderBindingsDemo extends Graphics2DActivity{
	
    @Inject Path path;
	
	protected void drawImage(){
		
		AffineTransform mat1;
		
		// Colors 
		Color redColor = new Color(0x96ff0000, true);
		Color greenColor = new Color(0xff00ff00);
		Color blueColor = new Color(0x750000ff, true);

		mat1 = new AffineTransform();
		mat1.translate(30, 40);
		mat1.rotate(-30 * Math.PI / 180.0);
		
		// Clear the canvas with white color.
		graphics2D.clear(Color.WHITE);

		graphics2D.setAffineTransform(new AffineTransform());
		SolidBrush brush = new SolidBrush(greenColor);
		graphics2D.fill(brush, path);
		graphics2D.setAffineTransform(mat1);

		brush = new SolidBrush(blueColor);
		com.mapdigit.drawing.Pen pen 
		   = new com.mapdigit.drawing.Pen(redColor, 5);
		graphics2D.setPenAndBrush(pen, brush);
		graphics2D.draw(null, path);
		graphics2D.fill(null, path);
		
		
	    
	}

}
